AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Video generationPixVerse

PixVerse First-and-last-frame video

Control a PixVerse V6 video using first and last frame images.

POST/openapi/v2/video/transition/generate

Authorization

bearerAuth
AuthorizationBearer <token>

Use a platform API key in the format Authorization: Bearer your-api-key.

In: header

Header Parameters

Ai-trace-id?string

Optional unique trace value; generated by the platform if omitted. Not an idempotency key.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

Get the generated result

First upload images to obtain the first and last frame image IDs. After submission, use Retrieve video to get the result.

PixVerse first-and-last-frame video — official documentationView the corresponding upstream protocol definition.